org.eclipse.ease.ui.tools

## Class AbstractWorkbenchRunnable

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractWorkbenchRunnable

All Implemented Interfaces:
  Runnable, IWindowListener

    public abstract class AbstractWorkbenchRunnable
    extends Object
    implements Runnable, IWindowListener

Helper class to run a job when the workbench window is started. If the workbench is not ready yet, execution will be delayed until the workbench is ready.

### Constructor Summary

Constructors
Constructor and Description
`AbstractWorkbenchRunnable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `launch()` Launches the run() method as soon as the workbench is ready.
`void` `windowActivated(IWorkbenchWindow window)`
`void` `windowClosed(IWorkbenchWindow window)`
`void` `windowDeactivated(IWorkbenchWindow window)`
`void` `windowOpened(IWorkbenchWindow window)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Constructor Detail

#### AbstractWorkbenchRunnable

    public AbstractWorkbenchRunnable()

### Method Detail

#### launch

    public void launch()

Launches the run() method as soon as the workbench is ready. Execution will always be moved to the UI thread and is done asynchronously. This call simply registers the execution task and returns immediately.

#### windowActivated

    public void windowActivated(IWorkbenchWindow window)

Specified by:
  `windowActivated` in interface `IWindowListener`

#### windowDeactivated

    public void windowDeactivated(IWorkbenchWindow window)

Specified by:
  `windowDeactivated` in interface `IWindowListener`

#### windowClosed

    public void windowClosed(IWorkbenchWindow window)

Specified by:
  `windowClosed` in interface `IWindowListener`

#### windowOpened

    public void windowOpened(IWorkbenchWindow window)

Specified by:
  `windowOpened` in interface `IWindowListener`